﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Xamarin.Forms;

namespace GridTemplateSample
{
    public class App : Application
    {
        SfDataGrid dataGrid;
        ViewModel viewModel;
        public App()
        {
            //MainPage = new XamlPage();
            dataGrid = new SfDataGrid();
            viewModel=new ViewModel();
            this.dataGrid.ItemsSource = viewModel.OrderInfo;
          
            dataGrid.AutoGenerateColumns = false;

            DataTemplate template = new DataTemplate(() =>
            {
                StackLayout stack = new StackLayout()
                {
                    HorizontalOptions = LayoutOptions.Center,
                    VerticalOptions = LayoutOptions.Center,
                    Orientation = StackOrientation.Vertical
                };

                Label custom = new Label();
                custom.WidthRequest = 50;
                custom.SetBinding(Label.TextProperty, "CustomerID");

                Label user = new Label();
                user.WidthRequest = 50;
                user.SetBinding(Label.TextProperty, "UserName");

                stack.Children.Add(custom);
                stack.Children.Add(user);
                return stack;
            });

            GridTemplateColumn UserName = new GridTemplateColumn
            {
                CellTemplate = template,
                Width=300,
                MappingName = "UserName",
                HeaderText = "UserName",
            };

            dataGrid.Columns.Add(UserName);
            dataGrid.ColumnSizer = ColumnSizer.LastColumnFill;
            MainPage = new ContentPage { Content = dataGrid };

        }
        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
