﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GridTemplateSample
{
   public class Model:INotifyPropertyChanged
    {
        public Model()
        {
        }

        #region private variables

        private string _employeeID;
        private string _customerID;
        private string _userName;

        #endregion

        #region Public Properties

        public string UserName
        {
            get { return _userName; }
            set
            {
                this._userName = value;
                RaisePropertyChanged("UserName");
            }
        }

        public string EmployeeID
        {
            get { return _employeeID; }
            set
            {
                this._employeeID = value;
                RaisePropertyChanged("EmployeeID");
            }
        }

        public string CustomerID
        {
            get { return _customerID; }
            set
            {
                this._customerID = value;
                RaisePropertyChanged("CustomerID");
            }
        }

        #endregion

        #region INotifyPropertyChanged implementation

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }

        #endregion
	
    }
}
